#include "level.h"

Level::Level()
{}

void Level::placeBridge(coordinate x, coordinate y)
{
    map[x][y] = std::make_unique<PassableCell>(x, y, sf::Color::Black);
}

void Level::removeCharge(coordinate x, coordinate y)
{
    map[x][y] = std::make_unique<PassableCell>(x, y, color_ground);
}

Map& Level::mapArray()
{
    return map;
}

sf::Color Level::defaultGroundColor()
{
    return color_ground;
}

void Level::setDefaultGroundColor(const sf::Color &color)
{
    color_ground = color;
}
